module.exports.QuestionnaireResultList = [
    {
        "objectId": "result1",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionnaireResultId": "qr1", // 新增的非数据库生成的主键
        "userId": {
            "__type": "Pointer",
            "className": "User",
            "objectId": "user1"
        },
        "questionnaireId": {
            "__type": "Pointer",
            "className": "Questionnaire",
            "objectId": "questionnaire1"
        },
        "answers": [
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option1"
            },
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option2"
            }
        ]
    },
    {
        "objectId": "result2",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionnaireResultId": "qr2", // 新增的非数据库生成的主键
        "userId": {
            "__type": "Pointer",
            "className": "User",
            "objectId": "user2"
        },
        "questionnaireId": {
            "__type": "Pointer",
            "className": "Questionnaire",
            "objectId": "questionnaire1"
        },
        "answers": [
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option3"
            },
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option4"
            }
        ]
    }
];

module.exports.QuestionnaireList = [
    {
        "objectId": "questionnaire1",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionnaireId": "q1", // 新增的非数据库生成的主键
        "title": "兴趣调查问卷",
        "status": "已发布",
        "questions": [
            {
                "__type": "Pointer",
                "className": "Question",
                "objectId": "question1"
            },
            {
                "__type": "Pointer",
                "className": "Question",
                "objectId": "question2"
            }
        ]
    }
];

module.exports.QuestionList = [
    {
        "objectId": "question1",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionId": "q1", // 新增的非数据库生成的主键
        "questionnaireId": {
            "__type": "Pointer",
            "className": "Questionnaire",
            "objectId": "questionnaire1"
        },
        "questionText": "你最喜欢的活动是什么？",
        "options": [
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option1"
            },
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option2"
            }
        ]
    },
    {
        "objectId": "question2",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionId": "q2", // 新增的非数据库生成的主键
        "questionnaireId": {
            "__type": "Pointer",
            "className": "Questionnaire",
            "objectId": "questionnaire1"
        },
        "questionText": "你喜欢的休闲方式是什么？",
        "options": [
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option3"
            },
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option4"
            }
        ]
    }
];

module.exports.OptionList = [
    {
        "objectId": "option1",
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "o1", // 新增的非数据库生成的主键
        "questionId": {
            "__type": "Pointer",
            "className": "Question",
            "objectId": "question1"
        },
        "optionText": "户外活动",
        "isSelected": false
    },
    {
        "objectId": "option2",
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "o2", // 新增的非数据库生成的主键
        "questionId": {
            "__type": "Pointer",
            "className": "Question",
            "objectId": "question1"
        },
        "optionText": "阅读",
        "isSelected": false
    },
    {
        "objectId": "option3",
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "o3", // 新增的非数据库生成的主键
        "questionId": {
            "__type": "Pointer",
            "className": "Question",
            "objectId": "question2"
        },
        "optionText": "看电影",
        "isSelected": false
    },
    {
        "objectId": "option4",
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "o4", // 新增的非数据库生成的主键
        "questionId": {
            "__type": "Pointer",
            "className": "Question",
            "objectId": "question2"
        },
        "optionText": "旅游",
        "isSelected": false
    }
];

module.exports.UserInterestProfileList = [
    {
        "objectId": "profile1",
        "createdAt": "2024-12-10T11:20:24Z",
        "userId": {
            "__type": "Pointer",
            "className": "User",
            "objectId": "user1"
        },
        "interestTags": ["户外活动", "阅读"],
        "results": [
            {
                "__type": "Pointer",
                "className": "QuestionnaireResult",
                "objectId": "result1"
            }
        ],
        "content": "用户喜欢户外活动和阅读，喜欢在自然中放松和探索新书籍。"
    },
    {
        "objectId": "profile2",
        "createdAt": "2024-12-10T11:20:24Z",
        "userId": {
            "__type": "Pointer",
            "className": "User",
            "objectId": "user2"
        },
        "interestTags": ["看电影", "旅游"],
        "results": [
            {
                "__type": "Pointer",
                "className": "QuestionnaireResult",
                "objectId": "result2"
            }
        ],
        "content": "用户热爱看电影和旅游，喜欢通过电影探索不同的文化和风景。"
    }
];